"""empty message

Revision ID: d50acc39df14
Revises: 
Create Date: 2021-03-08 23:20:15.803758

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd50acc39df14'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('districts',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('name', sa.String(length=255), nullable=False),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('phone_number_verifications',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('caller_name', sa.String(
                        length=255), nullable=True),
                    sa.Column('caller_type', sa.Integer(), nullable=True),
                    sa.Column('name_error_code', sa.Integer(), nullable=True),
                    sa.Column('carrier_error_code',
                              sa.Integer(), nullable=True),
                    sa.Column('mobile_country_code', sa.String(
                        length=10), nullable=True),
                    sa.Column('mobile_network_code', sa.String(
                        length=10), nullable=True),
                    sa.Column('carrier_name', sa.String(
                        length=30), nullable=True),
                    sa.Column('phone_type', sa.String(
                        length=10), nullable=True),
                    sa.Column('country_code', sa.String(
                        length=10), nullable=True),
                    sa.Column('national_format', sa.String(
                        length=20), nullable=True),
                    sa.Column('phone_number', sa.String(
                        length=30), nullable=True),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('attorneys',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('name', sa.String(length=255), nullable=False),
                    sa.Column('district_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(
                        ['district_id'], ['districts.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('courtrooms',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('name', sa.String(length=255), nullable=False),
                    sa.Column('district_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(
                        ['district_id'], ['districts.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('defendants',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('name', sa.String(length=255), nullable=False),
                    sa.Column('phone', sa.String(length=20), nullable=True),
                    sa.Column('address', sa.String(
                        length=255), nullable=False),
                    sa.Column('district_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(
                        ['district_id'], ['districts.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('judges',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('name', sa.String(length=255), nullable=False),
                    sa.Column('district_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(
                        ['district_id'], ['districts.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('plantiffs',
                    sa.Column('id', sa.Integer(), nullable=False),
                    sa.Column('name', sa.String(length=255), nullable=False),
                    sa.Column('attorney_id', sa.Integer(), nullable=True),
                    sa.Column('district_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(
                        ['attorney_id'], ['attorneys.id'], ),
                    sa.ForeignKeyConstraint(
                        ['district_id'], ['districts.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_table('detainer_warrants',
                    sa.Column('docket_id', sa.String(
                        length=255), nullable=False),
                    sa.Column('file_date', sa.String(
                        length=255), nullable=False),
                    sa.Column('status', sa.Integer(), nullable=False),
                    sa.Column('plantiff_id', sa.Integer(), nullable=True),
                    sa.Column('court_date', sa.String(
                        length=255), nullable=False),
                    sa.Column('courtroom_id', sa.Integer(), nullable=False),
                    sa.Column('presiding_judge_id',
                              sa.Integer(), nullable=True),
                    sa.Column('amount_claimed', sa.String(
                        length=30), nullable=True),
                    sa.Column('amount_claimed_category',
                              sa.Integer(), nullable=False),
                    sa.Column('judgment', sa.Integer(), nullable=True),
                    sa.Column('judgment_notes', sa.String(
                        length=255), nullable=True),
                    sa.ForeignKeyConstraint(
                        ['courtroom_id'], ['courtrooms.id'], ),
                    sa.ForeignKeyConstraint(
                        ['plantiff_id'], ['plantiffs.id'], ),
                    sa.ForeignKeyConstraint(
                        ['presiding_judge_id'], ['judges.id'], ),
                    sa.PrimaryKeyConstraint('docket_id')
                    )
    op.create_table('detainer_warrant_defendants',
                    sa.Column('detainer_warrant_docket_id',
                              sa.String(length=255), nullable=False),
                    sa.Column('defendant_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(
                        ['defendant_id'], ['defendants.id'], ),
                    sa.ForeignKeyConstraint(['detainer_warrant_docket_id'], [
                        'detainer_warrants.docket_id'], ),
                    sa.PrimaryKeyConstraint(
                        'detainer_warrant_docket_id', 'defendant_id')
                    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('detainer_warrant_defendants')
    op.drop_table('detainer_warrants')
    op.drop_table('plantiffs')
    op.drop_table('judges')
    op.drop_table('defendants')
    op.drop_table('courtrooms')
    op.drop_table('attorneys')
    op.drop_table('phone_number_verifications')
    op.drop_table('districts')
    # ### end Alembic commands ###
